'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});


/**
 * A hook.
 */
class Hook extends Set {
  /**
   * Run the hook.
   */
  async run(context, ...args) {
    for (const handler of this.values()) {
      let skipping = false;

      const value = await handler.call(context, ...args, () => {
        skipping = true;
      });

      if (!skipping && typeof value === 'boolean') {
        return value;
      }
    }

    return true;
  }
}
exports.default = Hook;