'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createLogger = createLogger;

var _bunyan = require('bunyan');

var _bunyan2 = _interopRequireDefault(_bunyan);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Create a new logger instance.
 */


/**
 * Logger options.
 */
function createLogger(options = { level: 'info' }) {
  const logger = _bunyan2.default.createLogger({
    name: 'taxon',
    src: true,
    streams: [{
      level: options.level,
      stream: process.stdout
    }, {
      level: options.level,
      type: 'rotating-file',
      path: 'taxon.log',
      count: 7
    }]
  });

  process.on('unhandledRejection', error => {
    logger.error(error);
  });

  return logger;
}